Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.naming
Class CatalogSet<V>

    java.lang.Object
      rdlc.naming.CatalogSet<V>

    public class CatalogSet<V>

extends java.lang.Object

This class represents an ordered set. This is also a cross between a `Catalog` and a hash set.

Version:
  $Revision: 1.5 $
Author:
  Greg Gibeling

Field Summary
`protected java.util.List<V>` | `entryList` A list of the objects in tis set.
`protected java.util.Hashtable<V,java.lang.Integer>` | `entryTable` A hashtable from objects to their position in the entry list.

Constructor Summary
`CatalogSet()` Base constructor, creates an empty CatalogSet.

Method Summary
`boolean` | `add(V _value)` Add the given object to this set.
`void` | `addAll(CatalogSet<V> _catalog)` Add all of the members of the given set to this one.
`boolean` | `contains(V _value)` Check to see if the given object is a member of this set.
`java.util.List<V>` | `entryList()` Return an ordered list of the objects in this set.
`boolean` | `isEmpty()` Simple accessor.
`int` | `size()` Simple accessor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entryTable

    protected java.util.Hashtable<V,java.lang.Integer> entryTable

  A hashtable from objects to their position in the entry list.

### entryList

    protected java.util.List<V> entryList

  A list of the objects in tis set.

Constructor Detail

### CatalogSet

    public CatalogSet()

  Base constructor, creates an empty CatalogSet.

Method Detail

### size

    public int size()

  Simple accessor.

  Returns:
    The number of objects in this set.

### isEmpty

    public boolean isEmpty()

  Simple accessor.

  Returns:
    `true` if this is an empty set.

### contains

    public boolean contains(V _value)

  Check to see if the given object is a member of this set.

  Parameters:
    `_value` - The object whose membership is in question.
  Returns:
    `true`if `_value` is a member of this set.``

### add

    public boolean add(V _value)

  Add the given object to this set. Bear in mind that the order of the calls to this method matter, as this is an ordered set.

  Parameters:
    `_value` - The object to be added to this set.

### addAll

    public void addAll(CatalogSet<V> _catalog)

  Add all of the members of the given set to this one. The old and new members of the set will remain in order with the new members coming after the old (as expected).

  Parameters:
    `_catalog` - The catalog set whose members should be added to this one.

### entryList

    public final java.util.List<V> entryList()

  Return an ordered list of the objects in this set. This can then be used to generate an iterator or enumeration to handle each object in order.

  Returns:
    An list of the objects in this catalog set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD